Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 429007 - Review Request: python-cherrypy2 - A pythonic, object-oriented web development framework
Summary: Review Request: python-cherrypy2 - A pythonic, object-oriented web developmen...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 224683
TreeView+ depends on / blocked
 
Reported: 2008-01-16 19:06 UTC by Toshio Ernie Kuratomi
Modified: 2014-07-14 12:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-22 22:14:31 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Toshio Ernie Kuratomi 2008-01-16 19:06:31 UTC
Spec URL: http://toshio.fedorapeople.org/packages/python-cherrypy2.spec
SRPM URL: A pythonic, object-oriented web development framework
Description:
CherryPy allows developers to build web applications in much the same way
they would build any other object-oriented Python program. This usually
results in smaller source code developed in less time.

This is a compat package for programs which still need the 2.x branch of CherryPy.

Once this is reviewed, Rawhide will move the main python-cherrypy package will move to CherryPy-3.x.

Comment 1 Jason Tibbitts 2008-01-20 20:38:43 UTC
It seems that the SRPM link is missing is missing above; I found it at
http://toshio.fedorapeople.org/packages/python-cherrypy2-2.2.1-9.fc9.src.rpm

Comment 2 Toshio Ernie Kuratomi 2008-01-20 21:22:09 UTC
Sorry about that.  I have some updated packages for a new upstream release:

Spec Url: http://toshio.fedorapeople.org/packages/python-cherrypy2.spec
SRPM Url:
http://toshio.fedorapeople.org/packages/python-cherrypy2-2.3.0-3.fc8.src.rpm

Comment 3 Jason Tibbitts 2008-01-21 00:25:51 UTC
Not much to say, really.

* source files match upstream:
   a41e1b31ab723f50223b303991bb4e1a420a05deb2f4ab923a2ceadece4854cf  
   CherryPy-2.3.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   python-cherrypy2 = 2.3.0-3.fc9
  =
   python(abi) = 2.5
   python-setuptools

* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Egg stuff:
* All files built from source.
* No dependencies downloaded.
* egg-info included.
* easy_install -m used properly for a compat package.
* I'll assume that when the new version of cherrypy is included, it will be the 
  default version.

APPROVED

Comment 4 Toshio Ernie Kuratomi 2008-01-21 16:51:53 UTC
New Package CVS Request
=======================
Package Name: python-cherrypy2
Short Description: A pythonic, object-oriented web development framework
Owners: toshio lmacken
Branches: devel
InitialCC: 
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-01-21 17:21:51 UTC
cvs done.

Comment 6 Toshio Ernie Kuratomi 2008-01-22 22:14:31 UTC
Thanks guys!

Package imported and built.

Comment 7 Dan Callaghan 2014-07-13 23:44:55 UTC
Please un-retire the epel7 branch.

Package Change Request
======================
Package Name: python-cherrypy2
New Branches: epel7
Owners: dcallagh

Comment 8 Gwyn Ciesla 2014-07-14 12:12:57 UTC
Complete.


Note You need to log in before you can comment on or make changes to this bug.